Bug 802416 - [glusterfs-3.3.0qa27]: dmesg says there is a readdir loop
[glusterfs-3.3.0qa27]: dmesg says there is a readdir loop
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vijay Bellur
: Triaged
Depends On:
Blocks: 854636
  Show dependency treegraph
 
Reported: 2012-03-12 09:53 EDT by Raghavendra Bhat
Modified: 2013-07-24 13:49 EDT (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 854636 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-03-12 09:53:17 EDT
Description of problem:
3 replica pure replicate volume. 3 fuse clients and 3 nfs clients, each executing different tools such as ping_pong, rdd, fs-perf-test etc.

When dmesg was executed it reported readdir loop detected by nfs client.

NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 6775
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 9754
NFS: directory / contains a readdir loop.  Please contact your server vendor.  Offending cookie: 6161
NFS: directory /file_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 6661
NFS: directory /file_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 9925
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 4967
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 7700
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 10326
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 12362
NFS: directory / contains a readdir loop.  Please contact your server vendor.  Offending cookie: 9248
NFS: directory /pipe_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 5248
NFS: directory /pipe_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 9150
NFS: directory /file_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 6126
NFS: directory /file_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 8692
NFS: directory /file_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 12036
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 6676
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 7988
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 10254
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 12404
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 8371
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 10171
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 10632
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 8865
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 8527
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 7751
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 10455
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 3742
NFS: directory /char_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 9847
NFS: directory /block_dir contains a readdir loop.  Please contact your server vendor.  Offending cookie: 13338
nfs: server 10.16.156.9 not responding, still trying
NFS: directory / contains a readdir loop.  Please contact your server vendor.  Offending cookie: 3140
nfs: server 10.16.156.9 not responding, still trying

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-03-12 12:47:59 EDT
Need to check with NFS team for the meaning of this.
Comment 2 Sachidananda Urs 2012-03-13 09:18:43 EDT
I could hit the same issue with multiple rename operations. Distriubute setup with 4 nodes.
Comment 3 Jeff Layton 2012-03-15 09:50:36 EDT
That generally means that the NFS server is sending duplicate continuation
cookies in READDIR calls. Note though that there is a bug in recent RHEL6
client kernels that can make this message pop more frequently than it should.
See bug 770250.
Comment 4 Vijay Bellur 2012-03-31 11:38:42 EDT
Can you please confirm if this bug is seen with RHEL 5.x clients?
Comment 5 Vijay Bellur 2012-05-18 08:51:32 EDT
Not seen with 5.x clients. Hence removing the target milestone.
Comment 6 Amar Tumballi 2013-01-11 03:39:39 EST
Raghavendra Bhat (rabhat@redhat.com) didn't see it in any recent versions. Would like it to be tested with 3.4.0qa branches to see if its seen again.
Comment 7 Sachidananda Urs 2013-01-15 01:29:27 EST
Testing with 3.4.0qa4, will update after a few runs.

Note You need to log in before you can comment on or make changes to this bug.